> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get validation summary

> Get validation errors grouped by root cause (e.g. all errors caused by
one deleted model), with counts and a capped list of affected content.



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v2/projects/{projectUuid}/validate/summary
openapi: 3.0.0
info:
  title: Lightdash API
  version: 1.193.1
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v2/projects/{projectUuid}/validate/summary:
    get:
      tags:
        - v2
        - Validation
      summary: Get validation summary
      description: |-
        Get validation errors grouped by root cause (e.g. all errors caused by
        one deleted model), with counts and a capped list of affected content.
      operationId: GetValidationSummary
      parameters:
        - description: the projectId for the validation
          in: path
          name: projectUuid
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiValidationSummaryResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiValidationSummaryResponse:
      $ref: '#/components/schemas/ApiSuccess_ValidationGroupedSummary_'
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    ApiSuccess_ValidationGroupedSummary_:
      properties:
        results:
          $ref: '#/components/schemas/ValidationGroupedSummary'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    ValidationGroupedSummary:
      properties:
        groups:
          items:
            $ref: '#/components/schemas/ValidationErrorGroup'
          type: array
        totalAffectedItems:
          type: number
          format: double
        totalErrors:
          type: number
          format: double
      required:
        - groups
        - totalAffectedItems
        - totalErrors
      type: object
    ValidationErrorGroup:
      properties:
        hasMoreAffectedContent:
          type: boolean
        affectedContent:
          items:
            $ref: '#/components/schemas/ValidationAffectedContent'
          type: array
        sampleError:
          type: string
        affectedDataApps:
          type: number
          format: double
        affectedTables:
          type: number
          format: double
        affectedDashboards:
          type: number
          format: double
        affectedCharts:
          type: number
          format: double
        errorCount:
          type: number
          format: double
        fieldName:
          type: string
          nullable: true
        tableName:
          type: string
          nullable: true
        errorType:
          $ref: '#/components/schemas/ValidationErrorType'
        groupKey:
          type: string
      required:
        - hasMoreAffectedContent
        - affectedContent
        - sampleError
        - affectedDataApps
        - affectedTables
        - affectedDashboards
        - affectedCharts
        - errorCount
        - fieldName
        - tableName
        - errorType
        - groupKey
      type: object
    ValidationAffectedContent:
      properties:
        errorCount:
          type: number
          format: double
        views:
          type: number
          format: double
        source:
          $ref: '#/components/schemas/ValidationSourceType'
        name:
          type: string
        uuid:
          type: string
          nullable: true
      required:
        - errorCount
        - views
        - source
        - name
        - uuid
      type: object
    ValidationErrorType:
      enum:
        - chart
        - sorting
        - filter
        - metric
        - model
        - dimension
        - custom metric
        - chart configuration
      type: string
    ValidationSourceType:
      enum:
        - chart
        - dashboard
        - data_app
        - table
      type: string

````